%define name WebSVN
%define version 161
%define release 1mdk
%define webroot %_var/www/html

Name: %{name}
Version: %{version}
Release: %{release}
Summary: PHP based web interface of Subversion repositories.
Source: %{name}_%{version}.tar.bz2
Group: Development/Other
URL: http://websvn.tigris.com/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: subversion mod_php
Prefix: %{webroot}
BuildArch: noarch

%description
WebSVN offers a view onto your subversion repositories that's been designed to
reflect the Subversion methodology. You can view the log of any file or
directory and see a list of all the files changed, added or deleted in any
given revision. You can also view the differences between 2 versions of a file
so as to see exactly what was changed in a particular revision.

WebSVN offers the following features:

    * Easy to use interface
    * Highly customisable templating system
    * Log message searching
    * Colourisation of file listings
    * Blame support
    * Tar ball downloads
    * Directory comparisons
    * RSS Feed support
    * Fast browsing thanks to internal caching feature
    * Apache MultiViews support
    * Support for bugtraq: properties 

%prep
rm -rf %{buildroot}

%setup -q -n %{name}

%build
# fix dir perms
find . -type d | xargs chmod 755
# fix file perms
find . -type f | xargs chmod 644
cp include/distconfig.inc include/config.inc


%install
install -d %{buildroot}/%{webroot}/%{name}
cp -aRf * %{buildroot}/%{webroot}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{webroot}/%{name}
%config(noreplace) %attr(0644,root,root) %{webroot}/%{name}/include/config.inc
%doc licence.txt install.txt

%changelog
* Thu Sep 2 2004 Franck Villaume <fvill@freesurf.fr> 161-1mdk
- First package

